get
https://services.azuga.com/azuga-ws-oauth/v3/maintanance/remainder/v2.json
This API allows the user to view the number of reminders(Overdue, Upcoming in 30 days, Later) configured in your account.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API Response explanation
| Field | Description | Data Type |
|---|---|---|
| generatedAtInMillis | Time in UTC milliseconds when the API request is made | Long |
| data | The object which consists of metadata of the device. | Object |
| groupByFilterDTOs | Object consists of details of the grouped data of the service reminders configured in the account | List<GroupByFilterDTO> |
| count | Number of service reminders which are Overdue/Upcoming | Integer |
| keyName | This field determines the grouped data - Overdue/Upcoming | String |
| displayName | Display name of the grouped data | String |
| maintenanceVOs | Object representing the details of the service reminders configured in the account | List<MaintenanceVO> |
| vehicleName | Name of the vehicle | String |
| serviceType | Type of service of the vehicle | String |
| vehicleId | Unique identifier representing the vehicle | String |
| rulesetId | For internal Azuga use | String |
| alertId | Unique identifier representing the alert | String |
| odoChoice | Boolean represents whether the odometer value is taken from vehicle. True = Odo taken from vehicle | Boolean |
| vehicleSupportedOdo | Odometer value from vehicle in Kms | Double |
| odoSupportedMileage | Ododmeter value using manual calculation in Kms | Double |
| serviceDate | Date of service in UTC milliseconds | Timestamp |
| serviceDays | Number of days the vehicle to be serviced from the last service date | Integer |
| reminderDays | Reminder alert to be triggered before the scheduled service date | Integer |
| nextServiceDate | Next service date in UTC milliseconds | Timestamp |
| initialMileage | Initial mileage set for the vehicle in Azuga | Double |
| currentMileage | Current mileage of the vehicle in Azuga | Double |
| serviceMileage | Service mileage of the vehicle | Double |
| reminderMiles | For Azuga internal use | Double |
| nextServiceMileage | Next service mileage | Double |
| intialEngineHrs | Initial engine hours of the vehicle in seconds | Long |
| currentEngineHrs | Current engine hours of the vehicle in seconds | Long |
| serviceHrs | Service hour of the vehicle | Integer |
| reminderEngineHrs | Reminder alert to be triggered before the scheduled hours | Integer |
| nextEngineHrs | Next engine hour of the vehicle | Long |
| mileageOverdue | Boolean representing whether the mileage of the vehicle is exceeded with the configured service mileage | boolean |
| daysOverdue | Boolean representing whether the last service of the vehicle is exceeded with the configured service days | boolean |
| hoursOverdue | Boolean representing whether the hours of the vehicle is exceeded with the configured service hours | boolean |
| remainingOrUpcomingHours | For Azuga internal use | Integer |
| remainingOrUpcomingDays | For Azuga internal use | Integer |
| remainingOrUpcomingMileage | For Azuga internal use | Double |
| overdue | Boolean representing whether the reminder is catagorized to 'Overdue' | boolean |
| remainingOrUpcoming | Remaining days to the next service date configured | String |
| serviceDetailedId | For Azuga internal use | String |
| filterType | Type of filter - days, mileage, hours | String |
| rc0Enable | Boolean representing whether Mileage(Miles) is enabled for the vehicle reminder | boolean |
| rc1Enable | Boolean representing whether Time Interval is enabled for the vehicle reminder | boolean |
| rc2Enable | Boolean representing whether Engine Run Time(Hrs) is enabled for the vehicle reminder | boolean |
| trackeeTypeId | Unique identifier representing the type of the vehicle. The following values are valid: 1 - Vehicle | Short |
| alertName | Name of the reminder alert | String |
| currentMileageAsset | Current odometer reading of the asset | Double |
| currentEngineHrsAsset | Current engine hours of the asset | Long |
| remainingValue | Remaining/Overdue days to/from the next service date configured. Negative indicates that the service date is overdue. | String |
| overdueDisplayName | Buckets to which the service vehicle is falls under - Overdue, Upcoming in the next 30 Days, Later | String |
| groupName | Name of the group the vehicle is associated with | String |
| muted | Boolean indicates that the reminder alert is muted True = Muted | boolean |
| upcomingFiltered | Boolean value indicating whether the next service date is in less than 30 days or not True = Service date is less than 30 days or overdue | boolean |
| error | Error description - if any | List<Error> |

